Legacy CHEESE API

Predict Array

Suggest an edit
GET
/predict_array

Predict properties for an array of molecules.

This endpoint allows users to predict various properties and descriptors for a list of molecules.

Parameters:

  • request (Request): The request object.
  • search_input (List[str]): The input molecules in SMILES format.
  • descriptors (bool): Whether to include molecular descriptors in the results (default is True).
  • properties (bool): Whether to include molecular properties in the results (default is True).
  • filename (str): The name of the file to save the prediction results (default is "properties_and_descriptors").

Returns:

  • A JSON response containing the predicted properties and descriptors.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

search_input?array<string>

Default

[  "CC(=O)Oc1ccccc1C(=O)O",  "CC(=O)Oc1ccncc1C(=O)O",  "CC(=O)Oc1cnccc1C(=O)O"]
descriptors?Descriptors
Defaulttrue
properties?Properties
Defaulttrue
filename?Filename
Default"properties_and_descriptors"

Response Body

application/json

application/json

curl -X GET "https://example.com/predict_array"
null